<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.ImportUpdateGazelleXValidators']}</h2>
        <s:div id="globalDiv">
            <h:form id="uploadForm">
                <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
                    <ui:param name="panel_id" value="uploadPanel"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['net.ihe.gazelle.xval.Upload']}"/>
                    </ui:define>
                    <s:div id="fileUploadDiv">
                        <h:outputText value="#{messages['net.ihe.gazelle.xval.UploadASingleXMLFileOrAZIPArchive']}"/>
                        <rich:fileUpload fileUploadListener="#{validatorImporter.fileUploadListener}" id="upload"
                                         maxFilesQuantity="1" immediateUpload="true"
                                         enctype="multipart/form-data">
                            <a4j:ajax event="uploadcomplete" render="completeImportDiv"/>
                        </rich:fileUpload>
                    </s:div>
                </ui:decorate>
                <s:div id="completeImportDiv">
                    <h:outputText styleClass="gzl-alert gzl-alert-red" value="#{validatorImporter.xsdValidationErrors}"
                                  rendered="#{validatorImporter.xsdValidationErrors != null}" escape="false"/>
                    <s:decorate template="/layout/panels/_panel_title_footer.xhtml"
                                rendered="#{validatorImporter.validator != null and validatorImporter.update}">
                        <ui:define name="panel_title">
                            <h:outputText value="#{messages['net.ihe.gazelle.xval.UpdateAnExistingValidator']}"/>
                        </ui:define>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xval.TheFollowingValidatorAlreadyExistsInYourApplicat']} "/>
                        <dl class="dl-horizontal">
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.Name']}</ui:define>
                                <h:outputText value="#{validatorImporter.oldValidator.name}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.AffinityDomain_2']}</ui:define>
                                <h:outputText value="#{validatorImporter.oldValidator.affinityDomain}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.Version']}</ui:define>
                                <h:outputText value="#{validatorImporter.oldValidator.version}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.ModifiedOn']}</ui:define>
                                <g:date value="#{validatorImporter.oldValidator.lastModifiedDate}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.ModifiedBy']}</ui:define>
                                <h:outputText value="#{validatorImporter.oldValidator.lastModifier}"/>
                            </s:decorate>
                        </dl>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xval.DoYouWantToReplaceItByTheFollowingOne']} "/>
                        <dl class="dl-horizontal">
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.Name']}</ui:define>
                                <h:outputText value="#{validatorImporter.validator.name}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.AffinityDomain_2']}</ui:define>
                                <h:outputText value="#{validatorImporter.validator.affinityDomain}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.Version']}</ui:define>
                                <h:outputText value="#{validatorImporter.validator.version}"/>
                            </s:decorate>
                            <s:decorate template="/layout/form/_checkbox.xhtml">
                                <h:selectBooleanCheckbox value="#{validatorImporter.archive}"/>
                                #{messages['net.ihe.gazelle.xval.StoreACopyOfTheOldVersion']}
                                <h:outputText styleClass="help-block"
                                              value="#{messages['net.ihe.gazelle.xval.AdministratorsWillStillBeAbleToUseItForValidatio']}"/>
                            </s:decorate>
                        </dl>
                        <ui:define name="panel_footer">
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Update_2']}" action="#{validatorImporter.updateValidator()}"
                                                rendered="#{validatorImporter.singleFile}"
                                               styleClass="gzl-btn-green"/>
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.UpdateAndProcessNext']}"
                                               actionListener="#{validatorImporter.updateAndSwitchToNext()}"
                                                rendered="#{not validatorImporter.singleFile}"
                                               render="completeImportDiv"
                                               styleClass="gzl-btn-green"/>
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}" actionListener="#{validatorImporter.reset()}"
                                                render="globalDiv" styleClass="gzl-btn-orange"/>
                        </ui:define>
                    </s:decorate>
                    <s:decorate template="/layout/panels/_panel_title_footer.xhtml"
                                rendered="#{validatorImporter.validator != null and not validatorImporter.update}">
                        <ui:define name="panel_title">
                            <h:outputText value="#{messages['net.ihe.gazelle.xval.CreateAValidator']}"/>
                        </ui:define>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xval.DoYouWantToImportTheFollowingValidator']} "/>
                        <dl class="dl-horizontal">
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.Name']}</ui:define>
                                <h:outputText value="#{validatorImporter.validator.name}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.AffinityDomain_2']}</ui:define>
                                <h:outputText value="#{validatorImporter.validator.affinityDomain}"/>
                            </s:decorate>
                            <s:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.xval.Version']}</ui:define>
                                <h:outputText value="#{validatorImporter.validator.version}"/>
                            </s:decorate>
                        </dl>
                        <ui:define name="panel_footer">
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Create']}" action="#{validatorImporter.createValidator()}"
                                                rendered="#{validatorImporter.singleFile}"
                                               styleClass="gzl-btn-green"/>
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.CreateAndProcessNext']}"
                                               actionListener="#{validatorImporter.createAndSwitchToNext()}"
                                                rendered="#{not validatorImporter.singleFile}"
                                               render="completeImportDiv" styleClass="gzl-btn-green"/>
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Cancel']}" actionListener="#{validatorImporter.reset()}"
                                                render="globalDiv" styleClass="gzl-btn-orange"/>
                        </ui:define>
                    </s:decorate>
                </s:div>
            </h:form>
        </s:div>
    </ui:define>
</ui:composition>
